document.addEventListener("DOMContentLoaded", function() {
    const balances = {
        binance: 0.00,
        kucoin: 0.00,
        bitget: 0.00,
        bybit: 0.00,
        "gate-io": 0.00,
        bitrue: 0.00,
        "bitget-2": 0.00,
        coinstore: 0.00
    };

    const totalFundsElement = document.getElementById('total-funds');
    const form = document.getElementById('add-money-form');

    function updateDisplay() {
        let totalFunds = 0;
        for (const [key, value] of Object.entries(balances)) {
            const balanceElement = document.getElementById(key).querySelector('.balance');
            balanceElement.innerHTML = "= " + value.toFixed(2) + "$";

            if (value === 0) {
                balanceElement.classList.remove('green');
                balanceElement.style.color = 'red';
            } else if (value > 0 && value < 1000) {
                balanceElement.classList.add('green');
                balanceElement.style.color = 'green';
            }

            totalFunds += value;
        }
        totalFundsElement.querySelector('.balance').innerHTML = "= " + totalFunds.toFixed(2) + "$";
    }

    form.addEventListener("submit", function(event) {
        event.preventDefault();
        const exchange = form.elements["exchange"].value;
        const amount = parseFloat(form.elements["amount"].value);

        if (!isNaN(amount) && amount > 0) {
            balances[exchange] += amount;
            updateDisplay();
            form.reset();
        } else {
            alert("Please enter a valid amount.");
        }
    });

    updateDisplay();
});